import java.time.LocalDate;

public class LEHRER extends PERSON
{
    // instance variables - replace the example below with your own
    private String fach1;
    private String fach2;
    private String dienstgrad;
    private String klassleitung;

    /** Konstruktor */
    public LEHRER(String name, char geschlecht, LocalDate geburtsdatum, String fach1, String fach2)
    {
        super(name, geschlecht, geburtsdatum);
        this.fach1 = fach1;
        this.fach2 = fach2;
        dienstgrad = "StRef"; //Standardmäßig ist ein Lehrer zuerst ein Referendar
        klassleitung = null;  //Referendare bekommen keine Klassleitung
    }
    
    //Getters and Setters
    public String getFach1(){
        return fach1;
    }
    
    public void setFach1(String fach1){
        this.fach1 = fach1;
    }
    
    public String getFach2(){
        return fach2;
    }
    
    public void setFach2(String fach2){
        this.fach2 = fach2;
    }
    
    public String getDienstgrad(){
        return dienstgrad;
    }
    
    public String getKlassleitung(){
        return klassleitung;
    }
    
    public void setKlassleitung(String klassleitung){
        this.klassleitung = klassleitung;
    }
    
    //weitere Funktionen    
    public void befoerdere(){
        switch (dienstgrad){
           case "StRef":
                dienstgrad = "StR";
                break;
            
           case "StR":
                dienstgrad = "OStR";
                break;
                
           case "OStR":
                dienstgrad = "StD";
                break;
                
           case "StD":
                dienstgrad = "OStD";
                break;
           default:
                System.out.println("Dieser Dienstgrad kann nicht mehr weiter befördert werden.");
        }
    }
    
    public void degradiere(){
        switch (dienstgrad){
           case "OStD":
                dienstgrad = "StD";
                break;
            
           case "StD":
                dienstgrad = "OStR";
                break;
                
           case "OStR":
                dienstgrad = "StR";
                break;
           default:
                System.out.println("Dieser Dienstgrad kann nicht mehr weiter degradiert werden.");
        }
    }
}
